aboutsummaryrefslogtreecommitdiffstats
path: root/community/at/atd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'community/at/atd.initd')
-rw-r--r--community/at/atd.initd27
1 files changed, 27 insertions, 0 deletions
diff --git a/community/at/atd.initd b/community/at/atd.initd
new file mode 100644
index 00000000000..733e5d04dd0
--- /dev/null
+++ b/community/at/atd.initd
@@ -0,0 +1,27 @@
+#!/sbin/openrc-run
+
+# init.d file for atd (command scheduling daemon)
+
+command="/usr/sbin/$SVCNAME"
+pidfile="/var/run/$SVCNAME.pid"
+
+depend() {
+ after localmount
+}
+
+start() {
+ ebegin "Starting command scheduling daemon ${SVCNAME}"
+ start-stop-daemon --start --quiet \
+ --pidfile ${pidfile} \
+ --exec ${command}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping command scheduling daemon ${name}"
+ start-stop-daemon --stop --quiet \
+ --pidfile ${pidfile} \
+ --exec ${command}
+ eend $?
+}
+